This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 140507 - system-config-securitylevel crashes at startup
Summary: system-config-securitylevel crashes at startup
Status: CLOSED DUPLICATE of bug 139155
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-23 07:24 UTC by Michael Opdenacker
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 19:07:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Opdenacker 2004-11-23 07:24:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
Hello,

I noticied I never managed to start the dialog to set the security
level from the desktop menus.

Here's what happens when I start system-config-security level from a
root shell:

> system-config-securitylevel
Traceback (most recent call last):
  File
"/usr/share/system-config-securitylevel/system-config-securitylevel.py",line
18, in ?
    app.stand_alone()
  File "/usr/share/system-config-securitylevel/securitylevel.py", line
427, in stand_alone
    self.selinuxPage = selinuxPage.selinuxPage()
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line
329, in __init__
    self.refreshTunables(self.initialtype)
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line
427, in refreshTunables
    self.loadBooleans()
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line
418, in loadBooleans
    on=rec[3]=="1"
IndexError: list index out of range

Note that after the installation process, which let me choose a
security level (I don't remember which one I chose), I never fiddled
with the security level settings. This is the first time I am trying
to set this parameter.

Anybody else facing this issue?

Cheers,

Michael.


Version-Release number of selected component (if applicable):
1.4.14

How reproducible:
Always

Steps to Reproduce:
1. Start system-config-securitylevel

Actual Results:  See a nice Python error stack trace.

Expected Results:  The System Security Level dialog should have been
started.

Additional info:

Comment 1 Emmanuel Viennet 2004-11-23 10:06:59 UTC
I observe exactly the same problem.

So many bugs in FC3 !

Emmanuel

Comment 2 Michael Opdenacker 2004-11-23 10:13:32 UTC
Thank you Emmanuel for your experience.

However, I find you a little bit hard on FC3. At least on my side, it
worked flawlessly, with just a few exceptions.

From my experience, most issues will be addressed pretty quickly by
Fedora Core / Red Hat developers.

Cheers,

Michael.

Comment 3 Bradley 2004-11-23 12:40:21 UTC
I did an FC2->FC3 upgrade. system-config-securitylevel did start, but once I
enabled selinux and relabeled, I ran into this bug.

Comment 4 Paul Nasrat 2004-11-23 13:43:36 UTC
Duplicate of 139155

*** This bug has been marked as a duplicate of 139155 ***

Comment 5 Red Hat Bugzilla 2006-02-21 19:07:14 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.